# infrastructure/core/node-prefer-noschedule-rbac.yaml
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: node-prefer-noschedule
rules:
  - apiGroups: [""]
    resources: ["nodes"]
    verbs: ["get", "list", "patch", "update"]
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: node-prefer-noschedule
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: node-prefer-noschedule
subjects:
  - kind: ServiceAccount
    name: node-prefer-noschedule
    namespace: kube-system
